export interface CheckboxProps extends JSX.HTMLAttributes<HTMLInputElement> {
    onCheckedChange?: (checked: boolean) => void;
}
declare const Checkbox: import("preact").FunctionalComponent<import("preact/compat").PropsWithoutRef<CheckboxProps> & {
    ref?: import("preact").Ref<HTMLInputElement> | undefined;
}>;
export { Checkbox };
